Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I was using rabbit in 12.04 LTS and then upgraded to 13.04 while rabbit menu was gone. So I went to the install page and followed the instructions:

  1. sudo add-apt-repository ppa:rabbitvcs/ppa
  2. sudo apt-get update
  3. sudo apt-get install rabbitvcs-nautilus3
  4. restart computer, no context menu. So I continued:
  5. sudo apt-get install rabbitvcs-gedit
  6. sudo apt-get install rabbitvcs-cli

    • Log out
    • log in
    • open nautilus,
    • right click on random folder

but still no "Rabbit VCS" in the context menu. I am certainly doing something incorrectly. But cannot figure out what...

EDIT Nautilus version is 3.6.3 and it si basically the default which comes with Ubuntu 13.04 - in Ubuntu it is called as "Files"

Contents of .config/rabbitvcs/RabbitVCS.log :

2013-06-18 10:02:45,462 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,047 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/sv2013-06-18 10:02:45,462 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,047 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,047 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,437 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,437 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
n/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,047 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/XmlChanger' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,437 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
2013-06-19 09:56:19,437 ERROR   rabbitvcs.vcs.svn       The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/rabbitvcs/vcs/svn/__init__.py", line 254, in statuses
    update=update)
ClientError: The path '/home/janipav/workspace/MassFileSender' appears to be part of a Subversion 1.7 or greater
working copy.  Please upgrade your Subversion client to use this
working copy.

Contents of /usr/share/rabbitvcs/configspec.ini

[general]
language = string(default="English")
enable_attributes = boolean(default=True)
enable_emblems = boolean(default=True)
enable_recursive = boolean(default=True)
show_debug = boolean(default=False)
show_unversioned_files = boolean(default=True)

[external]
diff_tool = string(default="/usr/bin/meld")
diff_tool_swap = boolean(default=False)

[cache]
number_repositories = integer(default=30)
number_messages = integer(default=30)

[logging]
type = option("None", "File", "Console", "Both", default="Both")
level = option("Debug", "Warning", "Info", "Error", "Critical", default="Error")
share|improve this question
    
What is your nautilus version? –  i08in Sep 29 '13 at 6:22
    
it is 3.6.3 - will add it also into question –  Pavel Janicek Sep 30 '13 at 6:36
    
Is the file .config/rabbitvcs/RabbitVCS.log empty and can you paste the contents of /usr/share/rabbitvcs/configspec.ini? –  i08in Sep 30 '13 at 13:54
    
question updated. It tells me to update my subversion client ... ok. But how? –  Pavel Janicek Sep 30 '13 at 14:05

2 Answers 2

up vote 7 down vote accepted
+50

You can fix the missing context menu. I suggest removing the installed PPA version and the ppa (How do I remove a PPA added via command-line?), reinstall the version from Ubuntu and follow the instructions I derived from the bug reported: https://bugs.launchpad.net/ubuntu/+source/rabbitvcs/+bug/1093533.

You need to download the following file http://rabbitvcs.googlecode.com/svn/trunk/clients/nautilus-3.0/RabbitVCS.py

and copy it to /usr/share/nautilus-python/extensions/RabbitVCS.py using root/su/sudo

You may also need to create the following symlink:

sudo ln -s /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0 /usr/lib/libpython2.7.so.1.0

You will need to restart your session (log out and back in again) to see the changes.

share|improve this answer
    
I am one of the unlucky ones. But I feel like this will be way to fix it. Still not resolved for me, but at least knowing that its known bug helps me to sleep :) Rewarding also bounty for good answer. Thanks for your effort! –  Pavel Janicek Oct 2 '13 at 12:06
1  
No need to logout after applying the changes; killall nautilus does the trick. –  IlluminAce Apr 1 at 22:50
    
Solution is not working for me in Ubuntu 12.04....Please help!! –  dirtyhandsphp Aug 8 at 10:20

So, it seems like you have .svn files belonging to your older version of rabbitvcs(probably 1.6). These need to be upgraded to 1.7, which is the version you have installed. To do this, execute the following on a terminal:

svn upgrade

You need to reboot for this to complete. To reboot: sudo reboot

share|improve this answer
    
I already tried that and I get this error: janipav@janipav-energy:~$ svn upgrade svn: E155019: Can't upgrade '/home/janipav' as it is not a pre-1.7 working copy directory svn: E000002: Can't open file '/home/janipav/.svn/entries': No such file or directory –  Pavel Janicek Sep 30 '13 at 14:55
    
Did you reboot your system after this? –  i08in Sep 30 '13 at 15:09
    
I did even turn off and on the computer ... I am mentally preparing myselves that I wil simply use just only the svn commands from terminal... –  Pavel Janicek Oct 1 '13 at 6:15

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.